@import 'settings';
@import 'mixins';

.sortable-admin-list {
    .back-link {
        .icon {
            vertical-align: middle;
            font-size: 20px;
        }
    }

    .sortable-groups {
        position: relative;

        h2 {
            border-bottom: solid 1px $gray-300;
            padding-bottom: 8px;
            margin-top: 20px;
        }
    }

    .sortable-objects {
        margin-top: 20px;
        min-height: 30px;
    }

    .sortable-objects__object {
        @include clearfix;
        position: relative;
        padding: 10px 4px;
        margin: 0;
        cursor: move;

        .icon {
            font-size: 20px;
            vertical-align: middle;
        }

        &:hover {
            color: $black;
            background: $gray-50;
        }

        &.sortable-ghost {
            background: $yellow;

            > * {
                opacity: 0 !important;
            }
        }

        .sortable-image {
            display: block;
            float: left;
            width: 80px;
            height: 45px;
            margin-right: 10px;
            background-size: cover;
        }
    }
}
